(Solved) 2019 : EXPKEYSIG DB36CDF3452F0C20 antiX

Forum Forums Official Releases antiX-17 “Heather Heyer” (Solved) 2019 : EXPKEYSIG DB36CDF3452F0C20 antiX

This topic contains 4 replies, has 3 voices, and was last updated by rokytnji Mar 16-3:53 pm.

Viewing 5 posts - 1 through 5 (of 5 total)
  • Author
    Posts
  • #19358
    Forum Admin
    rokytnji
    rokytnji

    http://repo.antixlinux.com/stretch/pool/main/a/antix-archive-keyring/antix-archive-keyring_20017.3.14_all.deb

    None of the old fixes work . Gdebi says I already have it installed. Already did this twice

    root@biker:/home/harry# gpg --recv-keys DB36CDF3452F0C20 DB36CDF3452F0C20 
    gpg: key DB36CDF3452F0C20: "antiX (antix repo) <antix@daveserver.info>" not changed
    gpg: key DB36CDF3452F0C20: "antiX (antix repo) <antix@daveserver.info>" not changed
    gpg: Total number processed: 2
    gpg:              unchanged: 2
    
    root@biker:/home/harry# gpg --export --armor DB36CDF3452F0C20 | apt-key add -
    OK
    root@biker:/home/harry# 

    Just making this thread for future reference.

    harry@biker:~
    $ inxi -S
    System:
      Host: biker Kernel: 4.20.12-antix.1-amd64-smp x86_64 bits: 64 Desktop: IceWM 1.4.2 
      Distro: antiX-17_x64-full Heather Heyer 24 October 2017 
    harry@biker:~
    $ inxi -r
    Repos:
      No active apt repos in: /etc/apt/sources.list.d/MX.list 
      Active apt repos in: /etc/apt/sources.list.d/antix.list 
      1: deb http://repo.antixlinux.com/stretch/ stretch main nosystemd nonfree
      Active apt repos in: /etc/apt/sources.list.d/debian-stable-updates.list 
      1: deb http://ftp.us.debian.org/debian/ stretch-updates main contrib non-free
      Active apt repos in: /etc/apt/sources.list.d/debian.list 
      1: deb http://ftp.us.debian.org/debian/ stretch main contrib non-free
      2: deb http://security.debian.org/ stretch/updates main contrib non-free
      Active apt repos in: /etc/apt/sources.list.d/google-chrome.list 
      1: deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
      No active apt repos in: /etc/apt/sources.list.d/onion.list 
      No active apt repos in: /etc/apt/sources.list.d/various.list 
    harry@biker:~

    `

    • This topic was modified 2 months, 1 week ago by rokytnji.
    • This topic was modified 2 months, 1 week ago by rokytnji.

    Sometimes I drive a crooked road to get my mind straight.
    Not all who Wander are Lost.
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

    #19359
    Forum Admin
    rokytnji
    rokytnji

    error

    root@biker:/home/harry# apt update
    Hit:1 http://security.debian.org stretch/updates InRelease
    Hit:2 http://ftp.us.debian.org/debian stretch-updates InRelease                                   
    Ign:3 http://dl.google.com/linux/chrome/deb stable InRelease                                                                 
    Ign:4 http://ftp.us.debian.org/debian stretch InRelease                                                                      
    Hit:5 http://dl.google.com/linux/chrome/deb stable Release               
    Hit:6 http://ftp.us.debian.org/debian stretch Release                    
    Get:7 http://repo.antixlinux.com/stretch stretch InRelease [25.6 kB]     
    Err:7 http://repo.antixlinux.com/stretch stretch InRelease    
      The following signatures were invalid: EXPKEYSIG DB36CDF3452F0C20 antiX (antix repo) <antix@daveserver.info>
    Fetched 25.6 kB in 1s (18.5 kB/s)
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    All packages are up to date.
    W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://repo.antixlinux.com/stretch stretch InRelease: The following signatures were invalid: EXPKEYSIG DB36CDF3452F0C20 antiX (antix repo) <antix@daveserver.info>
    W: Failed to fetch http://repo.antixlinux.com/stretch/dists/stretch/InRelease  The following signatures were invalid: EXPKEYSIG DB36CDF3452F0C20 antiX (antix repo) <antix@daveserver.info>
    W: Some index files failed to download. They have been ignored, or old ones used instead.
    

    Sometimes I drive a crooked road to get my mind straight.
    Not all who Wander are Lost.
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

    #19363
    Member
    afghan
    afghan

    I’m getting this error as well – for the second time in the past few months.

    #19382
    Member
    fungalnet
    fungalnet

    For those users getting the EXPKEYSIG error.

    3 steps, in a terminal

    1. wget 'https://download.tuxfamily.org/antix/releases/antix-archive-keyring.asc'

    2. sudo apt-key add antix-archive-keyring.asc

    3. apt-get update

    #19437
    Forum Admin
    rokytnji
    rokytnji

    Under control now. Thanks.

    root@biker:/home/harry# apt update
    Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
    Hit:2 http://security.debian.org stretch/updates InRelease                                                                                                             
    Get:3 http://dl.google.com/linux/chrome/deb stable Release [943 B]                                                                                                     
    Get:4 http://ftp.us.debian.org/debian stretch-updates InRelease [91.0 kB]                      
    Get:5 http://repo.antixlinux.com/stretch stretch InRelease [27.4 kB]                                      
    Get:6 http://dl.google.com/linux/chrome/deb stable Release.gpg [819 B]                                                
    Ign:7 http://ftp.us.debian.org/debian stretch InRelease                                     
    Get:8 http://repo.antixlinux.com/stretch stretch/main amd64 Packages [191 kB]
    Hit:9 http://ftp.us.debian.org/debian stretch Release                             
    Get:10 http://dl.google.com/linux/chrome/deb stable/main amd64 Packages [1,096 B]  
    Get:12 http://repo.antixlinux.com/stretch stretch/main i386 Packages [200 kB]                   
    Get:13 http://repo.antixlinux.com/stretch stretch/nonfree i386 Packages [15.8 kB]
    Get:14 http://repo.antixlinux.com/stretch stretch/nonfree amd64 Packages [15.5 kB]
    Fetched 544 kB in 2s (205 kB/s)                             
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    11 packages can be upgraded. Run 'apt list --upgradable' to see them.
    root@biker:/home/harry# apt list upgradeable
    Listing... Done
    root@biker:/home/harry# apt dist-upgrade
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Calculating upgrade... Done
    The following package was automatically installed and is no longer required:
      libmikmod2
    Use 'apt autoremove' to remove it.
    The following packages will be upgraded:
      adobe-flash-properties-gtk adobe-flashplugin antix-archive-keyring cli-aptix control-centre-antix faenza-cupertino-mini-icons fbxkb fskbsetting lxkeymap
      packageinstaller-pkglist set-dpi-antix
    11 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 14.4 MB of archives.
    After this operation, 361 kB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Get:1 http://repo.antixlinux.com/stretch stretch/nonfree amd64 adobe-flash-properties-gtk amd64 1:20190312.1-1mx17+1 [144 kB]
    Get:2 http://repo.antixlinux.com/stretch stretch/nonfree amd64 adobe-flashplugin amd64 1:20190312.1-1mx17+1 [9,813 kB]
    Get:3 http://repo.antixlinux.com/stretch stretch/main amd64 antix-archive-keyring all 20019.3.13 [19.1 kB]                                                             
    Get:4 http://repo.antixlinux.com/stretch stretch/main amd64 cli-aptix all 0.2.12 [56.6 kB]                                                                             
    Get:5 http://repo.antixlinux.com/stretch stretch/main amd64 control-centre-antix all 0.6.21 [356 kB]                                                                   
    Get:6 http://repo.antixlinux.com/stretch stretch/main amd64 faenza-cupertino-mini-icons all 0.1.8 [3,609 kB]                                                           
    Get:7 http://repo.antixlinux.com/stretch stretch/main amd64 fbxkb amd64 0.6-2.4 [86.2 kB]                                                                              
    Get:8 http://repo.antixlinux.com/stretch stretch/main amd64 fskbsetting all 0.5.3.5 [178 kB]                                                                           
    Get:9 http://repo.antixlinux.com/stretch stretch/main amd64 lxkeymap all 0.8.1.2 [119 kB]                                                                              
    Get:10 http://repo.antixlinux.com/stretch stretch/main amd64 packageinstaller-pkglist all 0.2.15 [44.9 kB]                                                             
    Get:11 http://repo.antixlinux.com/stretch stretch/main amd64 set-dpi-antix all 0.1.11 [10.1 kB]                                                                        
    Fetched 14.4 MB in 17s (802 kB/s)                                                                                                                                      
    (Reading database ... 167113 files and directories currently installed.)
    Preparing to unpack .../00-adobe-flash-properties-gtk_1%3a20190312.1-1mx17+1_amd64.deb ...
    Unpacking adobe-flash-properties-gtk (1:20190312.1-1mx17+1) over (1:20190212.1-1mx17+1) ...
    Preparing to unpack .../01-adobe-flashplugin_1%3a20190312.1-1mx17+1_amd64.deb ...
    Unpacking adobe-flashplugin (1:20190312.1-1mx17+1) over (1:20190212.1-1mx17+1) ...
    Preparing to unpack .../02-antix-archive-keyring_20019.3.13_all.deb ...
    Unpacking antix-archive-keyring (20019.3.13) over (20017.3.14) ...
    Preparing to unpack .../03-cli-aptix_0.2.12_all.deb ...
    Unpacking cli-aptix (0.2.12) over (0.2.11) ...
    Preparing to unpack .../04-control-centre-antix_0.6.21_all.deb ...
    Unpacking control-centre-antix (0.6.21) over (0.6.20) ...
    Preparing to unpack .../05-faenza-cupertino-mini-icons_0.1.8_all.deb ...
    Unpacking faenza-cupertino-mini-icons (0.1.8) over (0.1.7) ...
    Preparing to unpack .../06-fbxkb_0.6-2.4_amd64.deb ...
    Unpacking fbxkb (0.6-2.4) over (0.6-2.3) ...
    Preparing to unpack .../07-fskbsetting_0.5.3.5_all.deb ...
    Unpacking fskbsetting (0.5.3.5) over (0.5.3.4) ...
    Preparing to unpack .../08-lxkeymap_0.8.1.2_all.deb ...
    Unpacking lxkeymap (0.8.1.2) over (0.8.1.1) ...
    Preparing to unpack .../09-packageinstaller-pkglist_0.2.15_all.deb ...
    Unpacking packageinstaller-pkglist (0.2.15) over (0.2.14) ...
    Preparing to unpack .../10-set-dpi-antix_0.1.11_all.deb ...
    Unpacking set-dpi-antix (0.1.11) over (0.1.9) ...
    Setting up cli-aptix (0.2.12) ...
    Setting up packageinstaller-pkglist (0.2.15) ...
    Setting up fskbsetting (0.5.3.5) ...
    Processing triggers for mime-support (3.60) ...
    Processing triggers for desktop-file-utils (0.23-1) ...
    Processing triggers for menu (2.1.47+b1) ...
    Setting up control-centre-antix (0.6.21) ...
    Setting up antix-archive-keyring (20019.3.13) ...
    
    Configuration file '/etc/apt/trusted.gpg.d/antix-archive-keyring.gpg'
     ==> Deleted (by you or by a script) since installation.
     ==> Package distributor has shipped an updated version.
       What would you like to do about it ?  Your options are:
        Y or I  : install the package maintainer's version
        N or O  : keep your currently-installed version
          D     : show the differences between the versions
          Z     : start a shell to examine the situation
     The default action is to keep your current version.
    *** antix-archive-keyring.gpg (Y/I/N/O/D/Z) [default=N] ? y
    Installing new version of config file /etc/apt/trusted.gpg.d/antix-archive-keyring.gpg ...
    Processing triggers for man-db (2.7.6.1-2) ...
    Processing triggers for dbus (1.10.26-0+deb9u1.0nosystemd1) ...
    Setting up set-dpi-antix (0.1.11) ...
    Setting up fbxkb (0.6-2.4) ...
    Processing triggers for hicolor-icon-theme (0.15-1) ...
    Setting up lxkeymap (0.8.1.2) ...
    Setting up adobe-flashplugin (1:20190312.1-1mx17+1) ...
    Installing new version of config file /etc/chromium-browser/customizations/10-flash ...
    Installing new version of config file /etc/chromium.d/10-flash ...
    Installing new version of config file /etc/iridium-browser/customizations/10-flash ...
    update-alternatives: using /usr/lib/adobe-flashplugin/libflashplayer.so to provide /usr/lib/mozilla/plugins/flashplugin-alternative.so (mozilla-flashplugin) in auto mode
    Setting up faenza-cupertino-mini-icons (0.1.8) ...
    Setting up adobe-flash-properties-gtk (1:20190312.1-1mx17+1) ...
    Processing triggers for menu (2.1.47+b1) ...
    Writing Menu: icewm
    /usr/share/themes/shearwater/gtk-2.0/gtkrc:339: Unable to locate image file in pixmap_path: "panel-bg-dark.png"
    Writing Menu: jwm
    Writing Menu: fluxbox
    root@biker:/home/harry# 
    

    `

    Sometimes I drive a crooked road to get my mind straight.
    Not all who Wander are Lost.
    Linux Registered User # 475019
    How to Search for AntiX solutions to your problems

Viewing 5 posts - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.